package org.infinispan.quickstart.jbossas7;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import javax.ejb.Startup;
import javax.ejb.Singleton;

import org.infinispan.manager.CacheContainer;

@Startup
@Singleton
public class ListenerManager {

	@Resource(lookup = "java:jboss/infinispan/jboss-as7-quickstart")
	private CacheContainer container;

	@PostConstruct
	void registerListeners() {
		container.getCache().addListener(new LoggingListener());
	}
}